{
  "name": "@conduit/frontend",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc && vite build",
    "lint": "eslint . --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
		"format": "prettier --write .",
    "preview": "vite preview"
  },
  "dependencies": {
    "@tanstack/react-query": "^5.17.9",
    "@tanstack/react-router": "^1.1.10",
    "ky": "^1.2.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "valibot": "^0.25.0"
  },
  "devDependencies": {
    "@conduit/config": "workspace:*",
    "@types/eslint": "^8.56.1",
    "@types/node": "^20.10.6",
    "@types/react": "^18.2.43",
    "@types/react-dom": "^18.2.17",
    "@typescript-eslint/eslint-plugin": "^6.14.0",
    "@typescript-eslint/parser": "^6.14.0",
    "@vitejs/plugin-react-swc": "^3.5.0",
    "autoprefixer": "^10.4.16",
    "eslint": "^8.56.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.4.5",
    "postcss": "^8.4.33",
    "prettier": "^3.1.1",
    "tailwindcss": "^3.4.1",
    "typescript": "^5.2.2",
    "vite": "^5.0.8"
  }
}
